- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | Properties | Friends

# QObject Class Reference

Search for all occurrences

## Detailed Description

Definition at line 121 of file qobject.h.

`#include <qobject.h>`

Inherited by ComponentUI, WindowPlugin, AbstractAudioOutput, AbstractMediaStream, Notifier, Effect, MediaController, MediaObject, PulseSupport, QAbstractAnimation, QAbstractEventDispatcher, QAbstractFontEngine, QAbstractItemDelegate, QAbstractItemModel, QAbstractNetworkCache, QAbstractState, QAbstractTextDocumentLayout, QAbstractTransition, QAccessibleBridgePlugin, QAccessiblePlugin, QAction, QActionGroup, QButtonGroup, QClipboard, QCompleter, QCopChannel, QCoreApplication, QDataWidgetMapper, QDecorationPlugin, QDirectPainter, QDrag, QEventLoop, QFileSystemWatcher, QFontEnginePlugin, QFtp, QFutureWatcherBase, QGesture, QGLShader, QGLShaderProgram, QGraphicsAnchor, QGraphicsEffect, QGraphicsItemAnimation, QGraphicsObject, QGraphicsScene, QGraphicsTransform, QHttp, QIconEnginePlugin, QIconEnginePluginV2, QImageIOPlugin, QInputContext, QInputContextPlugin, QIODevice, QItemSelectionModel, QKbdDriverPlugin, QLayout, QLibrary, QLocalServer, QMimeData, QMouseDriverPlugin, QMovie, QNetworkAccessManager, QNetworkConfigurationManager, QNetworkCookieJar, QNetworkSession, QObjectCleanupHandler, QPictureFormatPlugin, QPluginLoader, QQnxMouseHandler, QScreenDriverPlugin, QScriptEngine, QScriptExtensionPlugin, QSessionManager, QSettings, QSharedMemory, QShortcut, QSignalMapper, QSocketNotifier, QSound, QSqlDriver, QSqlDriverPlugin, QStyle, QStylePlugin, QSyntaxHighlighter, QSystemTrayIcon, QTcpServer, QTextCodecPlugin, QTextDocument, QTextObject, QThread, QThreadPool, QTimeLine, QTimer, QTranslator, QTransportAuth, QUndoGroup, QUndoStack, QValidator, QVFbKeyboardHandler, QVFbMouseHandler, QWebFrame, QWebHistoryInterface, QWebPage, QWebPluginFactory, QWidget, QWSClient, QWSInputMethod, QWSManager, QWSQnxKeyboardHandler, QWSServer, and QWSSoundServer.

List of all members.

## Public Slots
void | deleteLater ()
## Signals
void | destroyed (QObject *=0)
## Public Member Functions
Q_INVOKABLE | QObject (QObject *parent=0)
virtual | ~QObject ()
virtual bool | event (QEvent *)
virtual bool | eventFilter (QObject *, QEvent *)
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool b)
QThread * | thread () const
void | moveToThread (QThread *thread)
int | startTimer (int interval)
void | killTimer (int id)
template<typename T >
T | findChild (const QString &aName=QString()) const
template<typename T >
QList< T > | findChildren (const QString &aName=QString()) const
template<typename T >
QList< T > | findChildren (const QRegExp &re) const
const QObjectList & | children () const
void | setParent (QObject *)
void | installEventFilter (QObject *)
void | removeEventFilter (QObject *)
bool | connect (const QObject *sender, const char *signal, const char *member, Qt::ConnectionType type=Qt::AutoConnection) const
bool | disconnect (const char *signal=0, const QObject *receiver=0, const char *member=0)
bool | disconnect (const QObject *receiver, const char *member=0)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | setUserData (uint id, QObjectUserData *data)
QObjectUserData * | userData (uint id) const
QObject * | parent () const
bool | inherits (const char *classname) const
## Static Public Member Functions
static bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *member, Qt::ConnectionType=Qt::AutoConnection)
static bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *member)
static uint | registerUserData ()
## Protected Member Functions
QObject * | sender () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *)
virtual void | childEvent (QChildEvent *)
virtual void | customEvent (QEvent *)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
| QObject (QObjectPrivate &dd, QObject *parent=0)
## Protected Attributes
QScopedPointer< QObjectData > | d_ptr
## Static Protected Attributes
static const QMetaObject | staticQtMetaObject
## Properties
QString | objectName
## Friends
struct | QMetaObject
class | QApplication
class | QApplicationPrivate
class | QCoreApplication
class | QCoreApplicationPrivate
class | QWidget
class | QThreadData

## Constructor & Destructor Documentation

Q_INVOKABLE QObject | ( | QObject * | parent = `0` | ) | `[explicit]`

virtual ~QObject | ( |  | ) | `[virtual]`

QObject | ( | QObjectPrivate & | dd,
|  | QObject * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

virtual bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in VideoWidget, QAbstractAnimation, QAbstractState, QAbstractTransition, QAnimationGroup, QCoreApplication, QEventTransition, QFinalState, QFutureWatcherBase, QHistoryState, QParallelAnimationGroup, QPauseAnimation, QPropertyAnimation, QSequentialAnimationGroup, QSettings, QSignalTransition, QSocketNotifier, QState, QStateMachine, QVariantAnimation, QAbstractButton, QAbstractItemView, QAbstractScrollArea, QAbstractSlider, QAbstractSpinBox, QAction, QApplication, QCalendarWidget, QCheckBox, QClipboard, QComboBox, QCommandLinkButton, QCompleter, QDateTimeEdit, QDial, QDialogButtonBox, QDockWidget, QFileSystemModel, QFocusFrame, QFontComboBox, QFrame, QGraphicsProxyWidget, QGraphicsScene, QGraphicsView, QGraphicsWidget, QGroupBox, QHeaderView, QLabel, QLCDNumber, QLineEdit, QListView, QListWidget, QMacNativeWidget, QMainWindow, QMdiArea, QMdiSubWindow, QMenu, QMenuBar, QMessageBox, QMotifStyle, QPlainTextEdit, QProgressBar, QProxyStyle, QPushButton, QRadioButton, QRubberBand, QS60Style, QScrollArea, QScrollBar, QShortcut, QSizeGrip, QSlider, QSpinBox, QSplashScreen, QSplitter, QSplitterHandle, QStackedWidget, QStatusBar, QSystemTrayIcon, QTabBar, QTableWidget, QTabWidget, QTextBrowser, QTextEdit, QToolBar, QToolBox, QToolButton, QTreeWidget, QWidget, QWidgetAction, QWindowsVistaStyle, QWizard, QWorkspace, QWSManager, QX11EmbedWidget, QX11EmbedContainer, QGLWidget, QGraphicsWebView, QWebFrame, QWebInspector, QWebPage, and QWebView.

virtual bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in AttributeCurveEditor, QStateMachine, QCalendarWidget, QCompleter, QDialog, QFocusFrame, QGraphicsProxyWidget, QGraphicsScene, QItemDelegate, QMdiArea, QMdiSubWindow, QMenuBar, QMotifStyle, QPlastiqueStyle, QS60Style, QScrollArea, QSizeGrip, QStyledItemDelegate, QWidgetAction, QWindowsStyle, QWorkspace, QWSEmbedWidget, QX11EmbedWidget, and QX11EmbedContainer.

QString objectName | ( |  | ) | const

Search for all occurrences

void setObjectName | ( | const QString & | name | ) |

Search for all occurrences

bool isWidgetType | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 156 of file qobject.h.

    { return d_ptr->isWidget; }

bool signalsBlocked | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 158 of file qobject.h.

    { return d_ptr->blockSig; }

bool blockSignals | ( | bool | b | ) |

Search for all occurrences

QThread* thread | ( |  | ) | const

Search for all occurrences

void moveToThread | ( | QThread * | thread | ) |

Search for all occurrences

int startTimer | ( | int | interval | ) |

Search for all occurrences

void killTimer | ( | int | id | ) |

Search for all occurrences

T findChild | ( | const QString & | aName = `QString()` | ) | const `[inline]`

Search for all occurrences

Definition at line 169 of file qobject.h.

        { return qFindChild<T>(this, aName); }

QList<T> findChildren | ( | const QString & | aName = `QString()` | ) | const `[inline]`

Search for all occurrences

Definition at line 173 of file qobject.h.

        { return qFindChildren<T>(this, aName); }

QList<T> findChildren | ( | const QRegExp & | re | ) | const `[inline]`

Search for all occurrences

Definition at line 178 of file qobject.h.

        { return qFindChildren<T>(this, re); }

const QObjectList& children | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 191 of file qobject.h.

    { return d_ptr->children; }

void setParent | ( | QObject * |  | ) |

Search for all occurrences

void installEventFilter | ( | QObject * |  | ) |

Search for all occurrences

void removeEventFilter | ( | QObject * |  | ) |

Search for all occurrences

static bool connect | ( | const QObject * | sender,
|  | const char * | signal,
|  | const QObject * | receiver,
|  | const char * | member,
|  | Qt::ConnectionType | = `Qt::AutoConnection`
| ) |  | `[static]`

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

bool connect | ( | const QObject * | sender,
|  | const char * | signal,
|  | const char * | member,
|  | Qt::ConnectionType | type = `Qt::AutoConnection`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 313 of file qobject.h.

    { return connect(asender, asignal, this, amember, atype); }

static bool disconnect | ( | const QObject * | sender,
|  | const char * | signal,
|  | const QObject * | receiver,
|  | const char * | member
| ) |  | `[static]`

Search for all occurrences

bool disconnect | ( | const char * | signal = `0`,
|  | const QObject * | receiver = `0`,
|  | const char * | member = `0`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 225 of file qobject.h.

            { return disconnect(this, signal, receiver, member); }

bool disconnect | ( | const QObject * | receiver,
|  | const char * | member = `0`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 228 of file qobject.h.

            { return disconnect(this, 0, receiver, member); }

void dumpObjectTree | ( |  | ) |

Search for all occurrences

void dumpObjectInfo | ( |  | ) |

Search for all occurrences

bool setProperty | ( | const char * | name,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

QVariant property | ( | const char * | name | ) | const

Search for all occurrences

QList<QByteArray> dynamicPropertyNames | ( |  | ) | const

Search for all occurrences

static uint registerUserData | ( |  | ) | `[static]`

Search for all occurrences

void setUserData | ( | uint | id,
|  | QObjectUserData * | data
| ) |  |

Search for all occurrences

QObjectUserData* userData | ( | uint | id | ) | const

Search for all occurrences

void destroyed | ( | QObject * | = `0` | ) | `[signal]`

Search for all occurrences

QObject* parent | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 250 of file qobject.h.

    { return d_ptr->parent; }

bool inherits | ( | const char * | classname | ) | const `[inline]`

Search for all occurrences

Definition at line 252 of file qobject.h.

            { return const_cast<QObject *>(this)->qt_metacast(classname) != 0; }

void deleteLater | ( |  | ) | `[slot]`

Search for all occurrences

QObject* sender | ( |  | ) | const `[protected]`

Search for all occurrences

int receivers | ( | const char * | signal | ) | const `[protected]`

Search for all occurrences

virtual void timerEvent | ( | QTimerEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QTimeLine, QTimer, QAbstractButton, QAbstractItemView, QAbstractSlider, QAbstractSpinBox, QFileSystemModel, QListView, QMdiArea, QMdiSubWindow, QMenu, QMenuBar, QMotifStyle, QPlainTextEdit, QPlastiqueStyle, QS60Style, QTableView, QTextEdit, QToolButton, QTreeView, QWindowsStyle, and QWSServer.

virtual void childEvent | ( | QChildEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGroupBox, QLayout, QMdiArea, QMdiSubWindow, QSplitter, QToolBar, and QWorkspace.

virtual void customEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void connectNotify | ( | const char * | signal | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QBuffer, QFutureWatcherBase, QClipboard, and QNetworkSession.

virtual void disconnectNotify | ( | const char * | signal | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QBuffer, QFutureWatcherBase, and QNetworkSession.

## Friends And Related Function Documentation

friend struct QMetaObject `[friend]`

Search for all occurrences

Definition at line 300 of file qobject.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented in QCoreApplication, QClipboard, QCopChannel, QDesktopWidget, QGraphicsWidget, QInputContext, QSessionManager, QStyle, QWidget, and QWSManager.

Definition at line 301 of file qobject.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented in QCoreApplication, QClipboard, QDesktopWidget, QLayout, QS60Style, QSessionManager, QWidget, QWSServer, and QWSManager.

Definition at line 302 of file qobject.h.

friend class QCoreApplication `[friend]`

Search for all occurrences

Reimplemented in QThread.

Definition at line 303 of file qobject.h.

friend class QCoreApplicationPrivate `[friend]`

Search for all occurrences

Definition at line 304 of file qobject.h.

friend class QWidget `[friend]`

Search for all occurrences

Reimplemented in QCoreApplication, QAction, QApplication, QGraphicsEffect, QGraphicsWidget, QInputContext, QLayout, QStyle, and QWSManager.

Definition at line 305 of file qobject.h.

friend class QThreadData `[friend]`

Search for all occurrences

Reimplemented in QThread.

Definition at line 306 of file qobject.h.

## Member Data Documentation

QScopedPointer<QObjectData> d_ptr `[protected]`

Search for all occurrences

Reimplemented in AbstractMediaStream.

Definition at line 296 of file qobject.h.

const QMetaObject staticQtMetaObject `[static, protected]`

Search for all occurrences

Definition at line 298 of file qobject.h.

## Property Documentation

QString objectName `[read, write]`

Search for all occurrences

Definition at line 124 of file qobject.h.

The documentation for this class was generated from the following file:

- QtCore/qobject.h

QObject QObject QObject QObject QObject QObject QObject QObject QObject QObject
QObject QObject QObject QObject QObject QObject QObject QObject QObject QObject